Break problems again

Discussion in 'AutoCAD' started by jb4pres, Jun 30, 2004.

  1. jb4pres

    jb4pres Guest

    I am getting an error and then lose all my osnaps:

    Command: bb
    Breekpunt. ; error: AutoCAD variable setting rejected: "blipmode" nil

    ;Cut or break pline ***** bb

    (defun c:bb (/ pt1 pt2 pt3 aa aantal teller bb)
    (setq cmde (getvar "cmdecho"))(setvar "cmdecho" 0)
    (setq osm (getvar "osmode" ))(setvar "osmode" 679)
    (setq pt1 (getpoint "\nBreekpunt. "))
    (setvar "osmode" 0)
    (setq pt2 (polar pt1 (/ PI 6) 1)
    pt3 (polar pt1 (+ (/ PI 6) PI) 1)
    aa (ssget "C" pt2 pt3)
    aantal (sslength aa)
    )
    (setq teller 0)
    (repeat aantal
    (setq bb (ssname aa teller))
    (command "BREAK" bb pt1 pt1)
    (setq teller (1+ teller))
    )
    ( setvar "blipmode" blm )
    ( setvar "osmode" osm );
    ( setvar "cmdecho" cmde )
    (princ)
    )
     
    jb4pres, Jun 30, 2004
    #1
  2. jb4pres

    ECCAD Guest

    You missed this line, place it after (setq cmde....

    (setq blm (getvar "blipmode"))(setvar "blipmode" 0)

    Or, just add a ; (semi-colon) before the line..
    ( setvar "blipmode" blm )
    Like:
    ;(setvar "blipmode" blm)


    Bob
     
    ECCAD, Jun 30, 2004
    #2
  3. jb4pres

    T.Willey Guest

    In your code you never define "blm". It seems that you don't turn on/off blipmodes in your code, so I don't know why you have the setvar "blipmode" at the end. If you take that part out then your code should work fine.

    Tim
     
    T.Willey, Jun 30, 2004
    #3
  4. jb4pres

    jb4pres Guest

    Thanks to both of you!! It works again!!
     
    jb4pres, Jun 30, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.